AOZ Studio Beta - Bug #814

The #manifest tag uses a case-sensitive parameter, but should not.

09/04/2021 04:51 PM - Brian Flanagan

Status: New Start date: 09/04/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:30 hour
Target version: none

Affected version: 1.0.0 (B10) u16

Description

If the manifest file is not in the application, the default AOZ manifest should be used (this works), or the default manifest specified by

the manifest# tag should be used (this sometimes fails).

The problem is that the #manifest: "xxx" tag should NOT be case sensitive for the string passed, but it is. In other words, if you use
#manifest: "AOZ" it will fail, but if you use #manifest: "aoz" it works, and Amiga fails, but amiga succeeds.

For example: Create an application, and delete it's manifest.hjson file

Then, try this:

#manifest: "Amiga"

It will fail.

Also try this:

#manifest: "AOZ"

It will fail.

On the other hand, this will work:
#manifest: "amiga"

...and so will this:

#manifest: "aoz"

History

#1 - 09/30/2021 10:46 PM - Brian Flanagan

- Assignee set to Francois Lionet

Re-tested in newest version 1.0.0 (B10) u16 (9/30)

Still a problem.
